# TimeTable Input folder

In this folder is stored the different timetables available for the case study.

## File structure


| Station |	DwellTime | Departure time (depTimeString) | Arrival time (arrTimeString)|
|---------|-----------|--------------------------------|-----------------------------|
| Paimpol |  75       | -1                             |-1                           |
| Pontrieaux |  75       | -1                             |-1                           |


## Free-flow TimeTable folder
In the Free-flow TimeTable folder we store all files that simulate trains with not arrival and departure times, they are all -1. In this way we can check whether there is a conflict in the entrance times that we used in the Trains files in combination with the Dwell timing.

## Calculate_Dep_Arr_times folder
After checking that there is no conflict with the Free-flow Timetable, we run a simulation with the files where we set Arrival and Departures times equal to 0. This simulation will fill the file .\Output\Punctuality\TrainStationArrivals.txt with the accurate departure and arrival times. We use these values to construct the TimeTable_final files

## TimeTable_final
In this folder we have the non-conflict no perturbations timetable for all trains


# Scenarios_Entrance_Delays
In this folder the Rollout_x.txt list the entrance delays of trains in the simulation. It is in seconds and follows the sequence of the trains based on the Entrance time in th Trains folder files.